#include <stdbool.h>
#include <stdint.h>
#include <stdio.h>

/* MX Generated headers */
#include "gpio.h"
#include "i2c.h"
#include "main.h"
#include "rtc.h"

/* BSP */
#include "stm32wlxx_nucleo.h"
#include "stm32wlxx_nucleo_radio.h"

extern void SystemClock_Config(void);


int main(void) {
    /* HAL */
    HAL_Init();

    /* Hardware initialization */
    SystemClock_Config();
    MX_GPIO_Init();
    MX_RTC_Init();
    MX_I2C1_Init();

    printf("Hello world\r\n");

    for (;;) {
        HAL_GPIO_WritePin(LED_GPIO_Port, LED_Pin, GPIO_PIN_RESET);
        HAL_Delay(500);

        HAL_GPIO_WritePin(LED_GPIO_Port, LED_Pin, GPIO_PIN_SET);
        HAL_Delay(500);
    }
}

void HAL_GPIO_EXTI_Callback(uint16_t GPIO_Pin) {
    /* -- */
}
